weka.core.json

## Class Scanner

- java.lang.Object
- - weka.core.json.Scanner

- All Implemented Interfaces:
    java_cup.runtime.Scanner

      public class Scanner
      extends java.lang.Object
      implements java_cup.runtime.Scanner

  A scanner for JSON data files.
  Version:
    $Revision: 11496 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STRING`
    `static int` | `YYEOF` This character denotes the end of file
    `static int` | `YYINITIAL` lexical states

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scanner(java.io.InputStream r, java_cup.runtime.SymbolFactory sf)`
    `Scanner(java.io.Reader in)` Creates a new scanner
    `Scanner(java.io.Reader r, java_cup.runtime.SymbolFactory sf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java_cup.runtime.Symbol` | `next_token()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
    `void` | `yybegin(int newState)` Enters a new lexical state
    `char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
    `void` | `yyclose()` Closes the input stream.
    `int` | `yylength()` Returns the length of the matched text region.
    `void` | `yypushback(int number)` Pushes the specified amount of characters back into the input stream.
    `void` | `yyreset(java.io.Reader reader)` Resets the scanner to read from a new input stream.
    `int` | `yystate()` Returns the current lexical state.
    `java.lang.String` | `yytext()` Returns the text matched by the current regular expression.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### YYEOF

          public static final int YYEOF

      This character denotes the end of file
      See Also:
        Constant Field Values

    - #### YYINITIAL

          public static final int YYINITIAL

      lexical states
      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Scanner

          public Scanner(java.io.InputStream r,
                         java_cup.runtime.SymbolFactory sf)

    - #### Scanner

          public Scanner(java.io.Reader r,
                         java_cup.runtime.SymbolFactory sf)

    - #### Scanner

          public Scanner(java.io.Reader in)

      Creates a new scanner
      Parameters:
        `in` - the java.io.Reader to read input from.

  - ### Method Detail

    - #### yyclose

          public final void yyclose()
                             throws java.io.IOException

      Closes the input stream.
      Throws:
        `java.io.IOException`

    - #### yyreset

          public final void yyreset(java.io.Reader reader)

      Resets the scanner to read from a new input stream. Does not close the old reader. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`. Internal scan buffer is resized down to its initial length, if it has grown.
      Parameters:
        `reader` - the new input stream

    - #### yystate

          public final int yystate()

      Returns the current lexical state.

    - #### yybegin

          public final void yybegin(int newState)

      Enters a new lexical state
      Parameters:
        `newState` - the new lexical state

    - #### yytext

          public final java.lang.String yytext()

      Returns the text matched by the current regular expression.

    - #### yycharat

          public final char yycharat(int pos)

      Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster
      Parameters:
        `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
      Returns:
        the character at position pos

    - #### yylength

          public final int yylength()

      Returns the length of the matched text region.

    - #### yypushback

          public void yypushback(int number)

      Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method
      Parameters:
        `number` - the number of characters to be read again. This number must not be greater than yylength()!

    - #### next_token

          public java_cup.runtime.Symbol next_token()
                                             throws java.io.IOException

      Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
      Specified by:
        `next_token` in interface `java_cup.runtime.Scanner`
      Returns:
        the next token
      Throws:
        `java.io.IOException` - if any I/O-Error occurs